List translation memories assigned to project
curl --request GET \
--url https://cloud.memsource.com/web/api2/v3/projects/{projectUid}/transMemories \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v3/projects/{projectUid}/transMemories"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v3/projects/{projectUid}/transMemories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"maxTmsEnabled": 123,
"transMemories": [
{
"applyPenaltyTo101Only": true,
"order": 123,
"penalty": 123,
"readMode": true,
"targetLocale": "<string>",
"transMemory": {
"businessUnit": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"client": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"name": "<string>",
"note": "<string>",
"sourceLang": "<string>",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"uid": "<string>"
},
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
},
"writeMode": true
}
]
}Project
List translation memories assigned to project
Returns the translation memories currently configured/assigned to this project. This is not a recommendation of memories that could be relevant — see the separate ‘/relevant’ endpoint for that.
GET
/
api2
/
v3
/
projects
/
{projectUid}
/
transMemories
List translation memories assigned to project
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier (UID) of the project
Query Parameters
Filter by target language
Filter by workflow step UID
Exclude vendor translation memories, returning only the current organization's TMs
Was this page helpful?
⌘I